# Uses of Interface
org.eclipse.birt.report.engine.api.ITOCTree

Packages that use ITOCTree
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.

## Uses of ITOCTree in org.eclipse.birt.report.engine.api

Methods in org.eclipse.birt.report.engine.api that return ITOCTree
Modifier and Type
Method
Description
`ITOCTree`
IRenderTask.`getTOCTree()`
Get the TOC tree
`ITOCTree`
IReportDocument.`getTOCTree(String format, com.ibm.icu.util.ULocale locale)`
Deprecated.
Invoke following code instead: ``
`ITOCTree`
IReportDocument.`getTOCTree(String format, com.ibm.icu.util.ULocale locale, com.ibm.icu.util.TimeZone timeZone)`
Deprecated.
Invoke following code instead: ``

## Uses of ITOCTree in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return ITOCTree
Modifier and Type
Method
Description
`ITOCTree`
IReportContent.`getTOCTree(String format, com.ibm.icu.util.ULocale locale)`
Gets the toc tree of this report content.